"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testCases_1 = __importDefault(require("./testCases"));
const test_1 = require("./test");
async function runAll() {
    await Promise.all(testCases_1.default.map(async (t) => new test_1.Test(t).run()));
}
async function run() {
    await new test_1.Test(testCases_1.default[0]).run();
}
if (process.argv.includes("--all") || process.argv.includes("-a")) {
    runAll();
}
else {
    run();
}
//# sourceMappingURL=index.js.map