"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sqip_1 = __importDefault(require("sqip"));
const filesize_1 = __importDefault(require("filesize"));
function generateSVG(options) {
    const { final_svg: svg, svg_base64encoded: base64 } = sqip_1.default(options);
    const svgSize = filesize_1.default(svg.length);
    const base64Size = filesize_1.default(base64.length);
    return { svg, base64, svgSize, base64Size };
}
exports.generateSVG = generateSVG;
//# sourceMappingURL=generate.js.map